Search found 13 matches

by kinsang
Sat Apr 16, 2016 11:51 am
Forum: Link to other codes
Topic: Can not link abinit to ELPA libraries.
Replies: 1
Views: 2444

Can not link abinit to ELPA libraries.

Hi, I have successfully build ELPA libraries and it passed all the tests. But I can not link it to the abinit, the configure message shows ELPA not found! Have anyone successfully linked it? The .ac I wrote: with_linalg_flavor="mkl+elpa" with_linalg_incs="-I/public/soft/intel/compiler...
by kinsang
Fri Apr 15, 2016 4:17 pm
Forum: Link to other codes
Topic: Can I disable netcdf output by adding options in.files? [SOLVED]
Replies: 1
Views: 1917

Can I disable netcdf output by adding options in.files? [SOLVED]

Hi, everyone
When I build abinit, I link all the trio libraries.
As a result, I would get result.nc files as well as the result.out.
Can I disable netcdf output by adding options in the input files? Or I have to rebuild it?
Thank you!
by kinsang
Fri Apr 15, 2016 9:14 am
Forum: Configuration
Topic: Can not link intel-dfti to abinit-7.10.5
Replies: 1
Views: 2119

Can not link intel-dfti to abinit-7.10.5

Hi, everyone. When I tried to link intel-dfti to abinit-7.10.5, compiling error occurs as follows: Have anyone successfully link dfti to abinit? mpiifort -DHAVE_CONFIG_H -I. -I../.. -I../../src/32_util -I../../src/32_util -I../../src/28_numeric_noabirule -I../../src/28_numeric_noabirule -I../../src/...
by kinsang
Thu Apr 14, 2016 7:09 pm
Forum: Configuration
Topic: Emergency. The parallel 7.10.5 can't be build with openmpi
Replies: 1
Views: 1446

Emergency. The parallel 7.10.5 can't be build with openmpi

Hi, everyone. When I try to build the abinit-7.10.5 with Openmpi 1.10.2, even if I enable mpi, it seems that I always got the sequential version instead of the parallel one. The sequential abinit works well, but when I run the parallel version with command like "mpirun -np $num abinit < ......&...
by kinsang
Tue Apr 12, 2016 3:34 am
Forum: Configuration
Topic: Error: cannot run Fortran compiled programs. [SOLVED]
Replies: 2
Views: 2134

Error: cannot run Fortran compiled programs. [SOLVED]

Hi, everyone I find a error that occurs occasionally and I wonder why it occurs. "cannot run Fortran compiled programs." Enclosing with the error on screen and the conf.log in fallbacks/source/FoX-4.1.2 Error on screen cd . && /bin/sh ./config.status config.h config.status: creatin...
by kinsang
Thu Apr 07, 2016 12:22 pm
Forum: Configuration
Topic: Can MAGMA, PLASMA, ELPA be used together? [SOLVED]
Replies: 1
Views: 1799

Can MAGMA, PLASMA, ELPA be used together? [SOLVED]

Hi, everyone. When I build abinit-7-10-5, I notice some configure message as follows. I wonder whether it would improve the speed if I use PLASMA and ELPA as well as MAGMA? I find little message about ELPA and PLASMA in the documents. Thanks! conf.log checking for ELPA support in specified libraries...
by kinsang
Tue Apr 05, 2016 4:03 pm
Forum: Configuration
Topic: Error occurs when enable fallbacks as well as gpu. [SOLVED]
Replies: 1
Views: 1789

Error occurs when enable fallbacks as well as gpu. [SOLVED]

Hi, everyone. When I enable fallbacks and used cpu only, abinit-7-10-5 works well. But when I enable GPU, some errors occurred as follows. configure.ac: # configure file FC=mpiifort CC=mpiicc CXX=mpiicpc enable_mpi="yes" enable_mpi_io="yes" enable_debug="no" enable_opti...
by kinsang
Thu Mar 31, 2016 2:55 pm
Forum: Testing and Documentation
Topic: Scalability of abinit-7.10.5? [SOLVED]
Replies: 1
Views: 3037

Scalability of abinit-7.10.5? [SOLVED]

Hi, everyone. I am an undergraduate, majoring in software engineering and interested in parallel computing. I want to test the scalability of this software thus need some large workloads as well as the test cases. Do anyone have large workloads or test cases for the scalability? I will upload my tes...
by kinsang
Thu Mar 31, 2016 2:32 pm
Forum: Configuration
Topic: Why atompaw, bigdft, weren't built even if I enable fallbak [SOLVED]
Replies: 1
Views: 1376

Why atompaw, bigdft, weren't built even if I enable fallbak [SOLVED]

Hi, everyone, I am using abinit-7-10-5 As I felt difficult to build all the external libraries, including bigdft, atompaw, libxc and netcdf. I enable fallbacks, but the configure message shows that they are NOT bulit. Why? How to bulid them conveniently? Enclosing my config.ac and the configure.log....
by kinsang
Sun Mar 27, 2016 4:16 am
Forum: Input file
Topic: How to set correct MPI processes number in abinit-7.10.5? [SOLVED]
Replies: 2
Views: 1741

How to set correct MPI processes number in abinit-7.10.5? [SOLVED]

Hi, everyone. I am a new user and build the abinit-7.10.5 MPI version. I dont know how to set the correct MPI process number. Is it relevant to the parameters in input files? For example, in the test case: abinit-7.10.5/tests/tutoparal/Input/tdfpt_03.files , why max nprocs=24 #SLAB ending TiO2 doubl...
by kinsang
Fri Mar 25, 2016 3:09 pm
Forum: Configuration
Topic: How to build abinit [SOLVED]
Replies: 1
Views: 2382

How to build abinit [SOLVED]

Hi, everyone. I am using abinit-7-10-5, wondering how to make better configuration.
Thanks a lot !
by kinsang
Fri Mar 25, 2016 2:12 pm
Forum: Link to other codes
Topic: Error occurs in 7.10.5, when using fftw3.3.4 and cuda 7.5 [SOLVED]
Replies: 3
Views: 2995

Re: Error occurs in 7.10.5, when using fftw3.3.4 and cuda 7. [SOLVED]

As far as I remember, there is a small bug in the FFT initialization. If you have a GPU version of abinit, you should not make any FFT on CPU since it is far more efficient on GPU therefore you should not use fftw3. If you compile abinit without fftw3 and with cuda it should work. Try to set fftalg...
by kinsang
Wed Mar 23, 2016 2:36 pm
Forum: Link to other codes
Topic: Error occurs in 7.10.5, when using fftw3.3.4 and cuda 7.5 [SOLVED]
Replies: 3
Views: 2995

Error occurs in 7.10.5, when using fftw3.3.4 and cuda 7.5 [SOLVED]

Hi, everyone. I am a new user to abinit. I successfully compiled abinit with fftw3.3.4 and cuda 7.5, as well as MPI support. When I ran the test in abinit7-10-5/tests/tutoparal/Input/tdfpt_01.files, an error occured as follows. configure.ac: # configure file FC=mpiifort CC=mpiicc CXX=mpiicpc enable_...